Package org.gradle.plugins.javascript.envjs.browser

## Class BrowserEvaluate

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.plugins.javascript.envjs.browser.BrowserEvaluate

-     public class BrowserEvaluate
      extends DefaultTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BrowserEvaluate​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getContent​()` |
    `BrowserEvaluator` | `getEvaluator​()` |
    `java.lang.String` | `getResource​()` |
    `java.io.File` | `getResult​()` |
    `void` | `setContent​(java.io.File content)` | Sets content.
    `void` | `setContent​(java.lang.Object content)` |
    `void` | `setEvaluator​(BrowserEvaluator evaluator)` |
    `void` | `setResource​(java.lang.Object resource)` |
    `void` | `setResource​(java.lang.String resource)` | Sets resource.
    `void` | `setResult​(java.io.File result)` | Sets result.
    `void` | `setResult​(java.lang.Object result)` |

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BrowserEvaluate

          public BrowserEvaluate​()

  - ### Method Detail

    - #### getContent

          @InputDirectory
          @PathSensitive(NAME_ONLY)
          public java.io.File getContent​()

    - #### setContent

          public void setContent​(java.io.File content)

      Sets content.
      Since:
        4.0

    - #### setContent

          public void setContent​(java.lang.Object content)

    - #### getResource

          @Input
          public java.lang.String getResource​()

    - #### setResource

          public void setResource​(java.lang.String resource)

      Sets resource.
      Since:
        4.0

    - #### setResource

          public void setResource​(java.lang.Object resource)

    - #### getEvaluator

          @Internal
          public BrowserEvaluator getEvaluator​()

    - #### setEvaluator

          public void setEvaluator​(BrowserEvaluator evaluator)

    - #### getResult

          @OutputFile
          public java.io.File getResult​()

    - #### setResult

          public void setResult​(java.io.File result)

      Sets result.
      Since:
        4.0

    - #### setResult

          public void setResult​(java.lang.Object result)